%global enable_tests 1
%global srcname date-now

Name:           nodejs-%{srcname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        A requirable version of Date.now()
License:        MIT
URL:            https://github.com/Raynos/%{srcname}
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js seed.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node ./test
%endif


%files
%doc README.md LICENCE
%{nodejs_sitelib}/%{srcname}


%changelog
* Sun Nov 23 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Initial package
